:- op(600, xfy, ':').

unif(FStr,FStr) :- !.  /* Subsumes standard unification */

unif([Attr1:Val1 | Rest1], [Attr1:Val2 | Rest2]) :- !,
    unif(Val1, Val2),
    unif(Rest1, Rest2).
unif([Att_Val1 | Rest1], [Att_Val2 | Rest2]) :-
    unif([Att_Val2 | Rest3], Rest1),
    unif(Rest2, [Att_Val1 | Rest3]).
